# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

PROXY_TIME_DAEMON: ""
PROXY_GPG_KEYERVER_URL: hkp://

proxy_masked_services: []

# List of proxy packages to install.
proxy_pacs_inst:
  # for pip
  - aspell
  - aspell6-en
  - bash
  - bash-completion
  - binutils
  - brotli
  - bsdcpio
  - bsdtar
  - bzip2
  - ca-certificates
  - coreutils
  - ctags
  - curl
  - dash
  - db
  - dialog
  - diffutils
  - dos2unix
  - doxygen
  - dtc
  - elinks-git
  - emacs
  - file
  - filesystem
  - findutils
  - flex
  - gamin
  - gawk
  - gcc
  - gcc-libs
  - gdbm
  - getent
  - gettext
  - glib2
  - gmp
  - gnu-netcat
  - gnupg
  - grep
  - gzip
  - heimdal
  - heimdal-libs
  - icu
  - inetutils
  - info
  - isl
  - jansson
  - less
  - libarchive
  - libargp
  - libasprintf
  - libassuan
  - libatomic_ops
  - libbz2
  - libcrypt
  - libcurl
  - libdb
  - libedit
  - libevent
  - libexpat
  - libffi
  - libgc
  - libgcrypt
  - libgdbm
  - libgettextpo
  - libgnutls
  - libgpg-error
  - libgpgme
  - libhogweed
  - libiconv
  - libidn
  - libidn2
  - libintl
  - libksba
  - liblz4
  - liblzma
  - liblzo2
  - libmetalink
  - libnettle
  - libnghttp2
  - libnpth
  - libopenssl
  - libp11-kit
  - libpcre
  - libpcre16
  - libpcre2_8
  - libpcre32
  - libpcrecpp
  - libpcreposix
  - libpsl
  - libreadline
  - libsqlite
  - libssh2
  - libtasn1
  - libtre-git
  - libunistring
  - libutil-linux
  - libxml2
  - libxslt
  - libzstd
  - lndir
  - m4
  - make
  - meson
  - mingw-w64-i686-ctags
  - mingw-w64-i686-gcc-libs
  - mingw-w64-i686-gmp
  - mingw-w64-i686-libwinpthread-git
  - mingw-w64-i686-mpc
  - mingw-w64-i686-mpfr
  - mingw-w64-x86_64-adns
  - mingw-w64-x86_64-aspell
  - mingw-w64-x86_64-aspell-en
  - mingw-w64-x86_64-brotli
  - mingw-w64-x86_64-bzip2
  - mingw-w64-x86_64-c-ares
  - mingw-w64-x86_64-ca-certificates
  - mingw-w64-x86_64-curl
  - mingw-w64-x86_64-expat
  - mingw-w64-x86_64-gcc-libs
  - mingw-w64-x86_64-gettext
  - mingw-w64-x86_64-glib2
  - mingw-w64-x86_64-gmp
  - mingw-w64-x86_64-gnupg
  - mingw-w64-x86_64-gnutls
  - mingw-w64-x86_64-gpgme
  - mingw-w64-x86_64-jansson
  - mingw-w64-x86_64-jemalloc
  - mingw-w64-x86_64-libassuan
  - mingw-w64-x86_64-libffi
  - mingw-w64-x86_64-libgcrypt
  - mingw-w64-x86_64-libgpg-error
  - mingw-w64-x86_64-libiconv
  - mingw-w64-x86_64-libidn2
  - mingw-w64-x86_64-libksba
  - mingw-w64-x86_64-libmetalink
  - mingw-w64-x86_64-libpsl
  - mingw-w64-x86_64-libssh2
  - mingw-w64-x86_64-libsystre
  - mingw-w64-x86_64-libtasn1
  - mingw-w64-x86_64-libtre-git
  - mingw-w64-x86_64-libunistring
  - mingw-w64-x86_64-libusb
  - mingw-w64-x86_64-libusb-compat-git
  - mingw-w64-x86_64-libwinpthread-git
  - mingw-w64-x86_64-meson
  - mingw-w64-x86_64-mpc
  - mingw-w64-x86_64-mpdecimal
  - mingw-w64-x86_64-mpfr
  - mingw-w64-x86_64-ncurses
  - mingw-w64-x86_64-nettle
  - mingw-w64-x86_64-nghttp2
  - mingw-w64-x86_64-ninja
  - mingw-w64-x86_64-npth
  - mingw-w64-x86_64-openssl
  - mingw-w64-x86_64-p11-kit
  - mingw-w64-x86_64-pcre
  - mingw-w64-x86_64-putty
  - mingw-w64-x86_64-putty-ssh
  - mingw-w64-x86_64-python
  - mingw-w64-x86_64-python-appdirs
  - mingw-w64-x86_64-python-attrs
  - mingw-w64-x86_64-python-ordered-set
  - mingw-w64-x86_64-python-packaging
  - mingw-w64-x86_64-python-pyparsing
  - mingw-w64-x86_64-python-setuptools
  - mingw-w64-x86_64-python-six
  - mingw-w64-x86_64-readline
  - mingw-w64-x86_64-sqlite3
  - mingw-w64-x86_64-tcl
  - mingw-w64-x86_64-termcap
  - mingw-w64-x86_64-tk
  - mingw-w64-x86_64-wineditline
  - mingw-w64-x86_64-xz
  - mingw-w64-x86_64-zlib
  - mingw-w64-x86_64-zstd
  - mintty
  - mpc
  - mpdecimal
  - mpfr
  - msys2-keyring
  - msys2-launcher-git
  - msys2-runtime
  - msys2-runtime-devel
  - msys2-w32api-headers
  - msys2-w32api-runtime
  - ncurses
  - nettle
  - ninja
  - openssh
  - openssl
  - p11-kit
  - pacman
  - pacman-mirrors
  - pactoys-git
  - pass
  - patch
  - pax-git
  - pcre
  - perl
  - perl-Module-Build
  - perl-Test-Pod
  - perl-YAML-Syck
  - perl-inc-latest
  - pinentry
  - pkgfile
  - psmisc
  - python
  - python-configobj
  - python2
  - python2-appdirs
  - python2-attrs
  - python2-packaging
  - python2-pip
  - python2-pyparsing
  - python2-setuptools
  - python2-six
  - python3-appdirs
  - python3-attrs
  - python3-packaging
  - python3-pip
  - python3-pyparsing
  - python3-setuptools
  - python3-six
  - rebase
  - rsync
  - sed
  - tar
  - tcl
  - texinfo
  - tftp-hpa
  - time
  - tmux
  - tree
  - ttyrec
  - tzcode
  - u-boot-tools
  - unrar
  - unzip
  - util-linux
  - w3m
  - wget
  - which
  - whois
  - windows-default-manifest
  - xmlto
  - xz
  - zip
  - zlib
  - zstd

proxy_qemu_guest_pacs_inst: [] #?

proxy_pips2_inst:
  - jq

proxy_pips3_inst: []

proxy_pips_reinstall:
# pip prerequisites
  - setuptools
  - appdirs
  - ipaddress
  - six
  - cachecontrol
  - pyparsing
  - colorama
#?  - distlib
  - html5lib
#?  - lockfile
  - packaging
  - requests
  - webencodings
  - jq
# pip itself? NO
  - cryptography
#
  - pyOpenSSL
  - paramiko
  - Jinja2
  - pyasn1
  - bcrypt
  - PyNaCl
  - cffi
  - idna
  - asn1crypto
  # whonix general
  - acpi-support
  - acpi-support-base
  - acpid
  - adduser
  - busybox
  - console-common
  - console-data
  - console-setup
  - console-setup-linux
  - coreutils
  - cpio

cntlm_pid_file: ""

# BOX_OS_FLAVOR in ['WhonixGateway']}}"
proxy_gateway_pacs_inst: []

# BOX_OS_FLAVOR in ['KickSecure', 'WhonixGateway', 'WhonixWorkstation']
proxy_xfce_pacs_inst: []

proxy_whonix_gateway_pacs: []

proxy_libvirt_pacs_inst: []

proxy_libs_pacs: []
